﻿Public Class Form1
    Dim g As New Galil.Galil  'Primary connection. Used for Command and Response
    Dim m1 As New Galil.Galil 'Message Channel 1, send data here from DMC code with MG{EG}
    Dim m2 As New Galil.Galil 'Message Channel 2, send data here from DMC code with MG{EH}
    Dim Ip As String = "192.168.1.23" 'IP address for connection
    Private Sub Form1_Load(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles MyBase.Load
        Try
            g.address = Ip + " -mg 0" 'don't subscribe to messages
            g.command("ST") 'halt all motion and threads as we set up
            m1.address = Ip + " -s" 'just connect, don't subscribe to anything
            m2.address = Ip + " -s"
            m1.command("HSS=G") 'set this connection's remote handle to G, so {EG} works
            m2.command("HSS=H") '{EH}
            'Important: m1 and m2 should no longer have any command() calls.

            AddHandler m1.onMessage, AddressOf OnMessage1
            AddHandler m2.onMessage, AddressOf OnMessage2

            'start up some messages
            g.programDownload("MG{EG}""Message for G"",TIME;MG{EH}""Message for H"",TIME;WT1000;JP0")
            g.command("XQ")
        Catch ex As Exception
            MsgBox("GalilTools COM Library Error:" + vbCrLf + ex.Message, MsgBoxStyle.OkOnly, "Oops")
        End Try
    End Sub
    Sub OnMessage1(ByVal msg As String) 'simple message handlers
        TextBox1.AppendText(msg)
    End Sub
    Sub OnMessage2(ByVal msg As String)
        TextBox2.AppendText(msg)
    End Sub

    Private Sub Form1_FormClosing(ByVal sender As System.Object, ByVal e As System.Windows.Forms.FormClosingEventArgs) Handles MyBase.FormClosing
        Try
            g.command("ST")
        Catch ex As Exception
            MsgBox("GalilTools COM Library Error:" + vbCrLf + ex.Message, MsgBoxStyle.OkOnly, "Oops")
        End Try
    End Sub
End Class
